Package net.ivoa.registry.search

# Class Where2DOMTokenManager

java.lang.Object
net.ivoa.registry.search.Where2DOMTokenManager

All Implemented Interfaces:
  `Where2DOMConstants`

public class Where2DOMTokenManager extends Object implements Where2DOMConstants
Token Manager.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected int`
`curChar`
`PrintStream`
`debugStream`
Debug output.
`protected SimpleCharStream`
`input_stream`
`static final int[]`
`jjnewLexState`
Lex State array.
`static final String[]`
`jjstrLiteralImages`
Token literal values.
`static final String[]`
`lexStateNames`
Lexer state names.

### Fields inherited from interface net.ivoa.registry.search.Where2DOMConstants

`DEFAULT, DIGIT, EOF, FLOAT, INTEGER, K_abs, K_acos, K_ALL, K_AND, K_ANY, K_AS, K_ASC, K_asin, K_atan, K_atan2, K_AVG, K_BETWEEN, K_BY, K_ceiling, K_cos, K_COUNT, K_degrees, K_DESC, K_DISTINCT, K_EXISTS, K_exp, K_floor, K_FROM, K_GROUP, K_HAVING, K_IN, K_INTO, K_IS, K_LIKE, K_log, K_log10, K_MAX, K_MIN, K_NOT, K_NOWAIT, K_OR, K_ORDER, K_pi, K_power, K_radians, K_rand, K_REGION, K_round, K_SELECT, K_sin, K_sqrt, K_square, K_SUM, K_tan, K_TOP, K_truncate, K_UNION, K_WHERE, K_XMATCH, LETTER, LINE_COMMENT, MULTI_LINE_COMMENT, S_CHAR_LITERAL, S_IDENTIFIER, S_INTEGER, S_PROTECTED, S_QUOTED_IDENTIFIER, S_REAL, S_TABLE_IDENTIFIER, S_XPATH, S_XPATH_IDENTIFIER, SPECIAL_CHARS, tokenImage`

## Constructor Summary

Constructors
Constructor
Description
`Where2DOMTokenManager(SimpleCharStream stream)`
Constructor.
`Where2DOMTokenManager(SimpleCharStream stream, int lexState)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Token`
`getNextToken()`
Get the next Token.
`protected Token`
`jjFillToken()`
`void`
`ReInit(SimpleCharStream stream)`
Reinitialise parser.
`void`
`ReInit(SimpleCharStream stream, int lexState)`
Reinitialise parser.
`void`
`setDebugStream(PrintStream ds)`
Set debug output.
`void`
`SwitchTo(int lexState)`
Switch to specified lex state.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### debugStream

public PrintStream debugStream
Debug output.

### jjstrLiteralImages

public static final String[] jjstrLiteralImages
Token literal values.

### lexStateNames

public static final String[] lexStateNames
Lexer state names.

### jjnewLexState

public static final int[] jjnewLexState
Lex State array.

### input_stream

protected SimpleCharStream input_stream

### curChar

protected int curChar

## Constructor Details

### Where2DOMTokenManager

public Where2DOMTokenManager(SimpleCharStream stream)
Constructor.

### Where2DOMTokenManager

public Where2DOMTokenManager(SimpleCharStream stream, int lexState)
Constructor.

## Method Details

### setDebugStream

public void setDebugStream(PrintStream ds)
Set debug output.

### jjFillToken

protected Token jjFillToken()

### getNextToken

public Token getNextToken()
Get the next Token.

### ReInit

public void ReInit(SimpleCharStream stream)
Reinitialise parser.

### ReInit

public void ReInit(SimpleCharStream stream, int lexState)
Reinitialise parser.

### SwitchTo

public void SwitchTo(int lexState)
Switch to specified lex state.